#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kasts
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Kirigami-based podcast player
License:        GPLv2 and GPLv2+ and GPLv3+ and BSD and LGPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/kasts
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(taglib)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Keychain)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5KirigamiAddons)
BuildRequires:  cmake(KF5Syndication)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5NetworkManagerQt)

Requires:       kirigami
Requires:       kirigami-addons

%description
Kasts is a convergent podcast application.

Its main features are:
 - Episode management through play queue
 - Sync playback positions with other clients through gpodder.net or
   gpodder-nextcloud
 - Variable playback speed
 - Search for podcasts
 - Full system integration: e.g. inhibit system suspend while listening

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_libdir}/libKastsSolidExtras.so
%{_kf5_libdir}/libKMediaSession.so
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}*.svg
%{_kf5_iconsdir}/hicolor/scalable/actions/media-playback-cloud.svg
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_qmldir}/org/kde/%{name}/
%{_kf5_qmldir}/org/kde/kmediasession/

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047419
- New version 23.04.3

* Fri Jun 09 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961475
- initial package kasts

